#include "testApp.h"
#include "ofMain.h"

//--------------------------------------------------------------
void testApp::setup(){

	
	// macs by default run on non vertical sync, which can make animation very, very fast
	// this fixes that: 
	
	ofSetVerticalSync(true);
	
	// set background: 
	
	ofEnableAlphaBlending();
	ofBackground(30,30,30);
	
	centerPoint.set(ofGetWidth()/2, 50);
	
	// set the position of the rectangle:
	
	myRectangle.pos.x = centerPoint.x;
	myRectangle.pos.y = centerPoint.y+50;
	
}

//--------------------------------------------------------------
void testApp::update(){
	myRectangle.xenoToPoint(mouseX, mouseY);
}

//--------------------------------------------------------------
void testApp::draw(){

	ofSetColor(255, 255, 255);
	ofCircle(centerPoint.x, centerPoint.y, 3);
	
	float xorig = centerPoint.x;
	float yorig = centerPoint.y;
	float radius = 100;
	float angle = ofGetElapsedTimef();
	float position = sin(ofGetElapsedTimef()); // goes between -1 and 1 -- we use this for the "back and forth"
	float x = xorig + radius * cos(PI/2 + position*PI/2);
	float y = yorig + radius * sin(PI/2 + position*PI/2);
	
	
	//float x = xorig + radius * cos(angle);
	//float y = yorig + radius * fabs(sin(angle));
	
	ofSetColor(255,255,255);
	ofLine(centerPoint.x, centerPoint.y, x, y);
	cout << ofDist(centerPoint.x, centerPoint.y, x, y) << endl;
	
	myRectangle.pos.set(x, y);
	myRectangle.draw();
	
	
}

//--------------------------------------------------------------
void testApp::keyPressed  (int key){
}

//--------------------------------------------------------------
void testApp::keyReleased  (int key){
}

//--------------------------------------------------------------
void testApp::mouseMoved(int x, int y ){
}

//--------------------------------------------------------------
void testApp::mouseDragged(int x, int y, int button){
}

//--------------------------------------------------------------
void testApp::mousePressed(int x, int y, int button){
}

//--------------------------------------------------------------
void testApp::mouseReleased(){
}
